## BtMainPageWaves BtMainPageWaves — the editor wavetable page |

## Synopsis

    #include "bt-edit.h"

                        BtMainPageWaves;
    BtMainPageWaves *   bt_main_page_waves_new              (const BtEditApplication *app,
                                                             const BtMainPages *pages);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----BtMainPageWaves

## Implemented Interfaces

BtMainPageWaves implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "app"                      BtEditApplication*    : Read / Write / Construct Only

## Description

Manage a list of audio clips files. Provides an embeded file browser to load files. A waveform viewer can show the selected clip.

## Details

### BtMainPageWaves

    typedef struct _BtMainPageWaves BtMainPageWaves;

the pattern page for the editor application

### bt_main_page_waves_new ()

    BtMainPageWaves *   bt_main_page_waves_new              (const BtEditApplication *app,
                                                             const BtMainPages *pages);

Create a new instance

`app` : | the application the window belongs to
`pages` : | the page collection
Returns : | the new instance or NULL in case of an error

## Property Details

### The `"app"` property

      "app"                      BtEditApplication*    : Read / Write / Construct Only

Set application object, the window belongs to.